i.albedo(1)

NAME
i.albedo - Computes broad band albedo from surface reflectance.

KEYWORDS
imagery, albedo, reflectance, satellite, Landsat, ASTER, AVHRR, MODIS

SYNOPSIS
i.albedo
i.albedo --help
i.albedo [-mnl8acd] input=name[,name,...] output=name [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-m
    MODIS (7 input bands:1,2,3,4,5,6,7)

-n
    NOAA AVHRR (2 input bands:1,2)

-l
    Landsat 5+7 (6 input bands:1,2,3,4,5,7)

-8
    Landsat 8 (7 input bands:1,2,3,4,5,6,7)

-a
    ASTER (6 input bands:1,3,5,6,8,9)

-c
    Aggressive mode (Landsat)
    Albedo dry run to calculate some water to beach/sand/desert stretching, a kind of simple atmospheric correction

-d
    Soft mode (MODIS)
    Albedo dry run to calculate some water to beach/sand/desert stretching, a kind of simple atmospheric correction

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name[,name,...] [required]
    Name of input raster map

output=name [required]
    Name for output raster map

DESCRIPTION
i.albedo calculates the albedo, that is the Shortwave surface reflectance in the range of 0.3-3 micro-meters. It takes as input individual bands of surface reflectance originating from MODIS, AVHRR, Landsat or Aster satellite sensors and calculates the albedo for those. This is a precursor to r.sun and any energy-balance processing.

NOTES
It uses for Landsat 8 the weighted average reflectance (temporary solution until an algorithm is found).

It assumes MODIS product surface reflectance in [0;10000].

EXAMPLE
The following example creates the raster map "albedo_lsat7_1987" from the LANDSAT-TM5 bands in the North Carolina dataset:

g.region raster=lsat5_1987_10 -p
i.albedo -l input=lsat5_1987_10,lsat5_1987_20,lsat5_1987_30,lsat5_1987_40,lsat5_1987_50,lsat5_1987_70 output=albedo_lsat7_1987

Figure: Resulting albedo map from LANDSAT 5

The following example creates the raster map "albedo_lsat7_2000" from the LANDSAT-TM7 bands in the North Carolina dataset:

g.region raster=lsat7_2000_10 -p
i.albedo -l input=lsat7_2000_10,lsat7_2000_20,lsat7_2000_30,lsat7_2000_40,lsat7_2000_50,lsat7_2000_70 output=albedo_lsat7_2000

Figure: Resulting albedo map from LANDSAT 7

TODO
Maybe change input requirement of MODIS to [0.0-1.0]?

SEE ALSO
r.sun, i.vi

References
For a 2 band determination of the Aster BB Albedo see the following:

Salleh and Chan, 2014. Land Surface Albedo Determination: Remote Sensing and Statistical Validation. in proceedings of FIG 2014 (PDF)

AUTHOR
Yann Chemin

SOURCE CODE

Available at: i.albedo source code (history)

Latest change: Mon Nov 18 20:15:32 2019 in commit: 1a1d107e4f6e1b846f9841c2c6fabf015c5f720d

Main index | Imagery index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.8dev Reference Manual